/* $Id: vircam_sky.h,v 1.3 2013-10-15 16:52:24 jim Exp $
 *
 * This file is part of the VIRCAM Pipeline
 * Copyright (C) 2015 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * $Author: jim $
 * $Date: 2013-10-15 16:52:24 $
 * $Revision: 1.3 $
 * $Name: not supported by cvs2svn $
 */


/* Includes */

#ifndef VIRCAM_SKY_H
#define VIRCAM_SKY_H

#include <cpl.h>
#include "casu_fits.h"
#include "casu_mask.h"

/* Sky subroutine prototypes */

extern int vircam_tilesky(casu_fits **inlist, int nfiles, casu_mask *mask, 
			  casu_fits **skyout, int *status);
extern int vircam_tilesky_minus(casu_fits **infiles, casu_fits *conf, 
				casu_fits *objmaskfits, int nfiles,
				casu_fits **skyout, int *status);

#endif

/*

$Log: not supported by cvs2svn $
Revision 1.2  2009/02/20 11:00:35  jim
Added vircam_tilesky

Revision 1.1  2008/10/13 08:13:21  jim
New entry


*/
